%define name    kexis
%define version 0.2.2
%define release 6mdk

Summary: WAV file compressor
Name: %{name}
Version: %{version}
Release: %{release}
Source0: %name-%{version}.tar.bz2
URL: http://sourceforge.net/projects/kexis/
License: GPL
Group: Sound
BuildRoot: %{_tmppath}/%{name}-buildroot

%description
kexis is a lossless WAV file compressor. Its main goal is to develop
prediction and encoding schemes to minimize compressed file size. It
strives to be the premier lossless sound encoder.

%prep
rm -rf $RPM_BUILD_ROOT

%setup -n %{name}/

%build
# make sure proper flags can be passed to the Makefile
perl -pi -e "s|^#CC_OPTS=|CC_OPTS=||g;" Makefile
perl -pi -e "s|^CC_OPTS =|#CC_OPTS =||g;" Makefile

# actual build
make CFLAGS="$RPM_OPT_FLAGS"

%install
mkdir -p $RPM_BUILD_ROOT%_bindir/
install -m 755 %{name}  $RPM_BUILD_ROOT%_bindir/

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%doc docs/*
%_bindir/*

%changelog
* Fri Jul 18 2003 Laurent MONTEL <lmontel@mandrakesoft.com> 0.2.2-6mdk
- Rebuild

* Tue Jan 28 2003 Lenny Cartier <lenny@mandrakesoft.com> 0.2.2-5mdk
- rebuild

* Thu Aug 29 2002 Lenny Cartier <lenny@mandrakesoft.com> 0.2.2-4mdk
- rebuild

* Wed Aug 08 2001 Lenny Cartier <lenny@mandrakesoft.com> 0.2.2-3mdk
- rebuild

* Fri Jan 12 2001 Lenny Cartier <lenny@mandrakesoft.com> 0.2.2-2mdk
- new url & rebuild

* Thu Nov 23 2000 Lenny Cartier <lenny@mandrakesoft.com> 0.2.2-1mdk
- used srpm from rufus t firefly <rufus.t.firefly@linux-mandrake.com> :

* Wed Aug 30 2000 rufus t firefly <rufus.t.firefly@linux-mandrake.com>
  - v0.1.5 (initial packaging)
  - Mandrake-specifc changes
